/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_LOAN_BY_USER_ORDER_PREFERENCE_VIEW")
public class LoanByUserOrderPreferenceView implements Serializable {

    private static final long serialVersionUID = -349196411929756764L;

    @Id
    @Column(name = "id", length = 72)
    private String id;

    @Column(name = "user_id", length = 36)
    private String userId;

    @Column(name = "customer_name")
    private String customerName;

    @Column(name = "customer_address_home", length = 150)
    private String customerAddressHome;

    @Column(name = "customer_address_business", length = 150)
    private String customerAddressBusiness;

    @Column(name = "order_in_list")
    private Integer orderInList;

    public LoanByUserOrderPreferenceView() {
    }

    public LoanByUserOrderPreferenceView(String customerName, Integer orderInList) {
        this.customerName = customerName;
        this.orderInList = orderInList;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerAddressHome() {
        return customerAddressHome;
    }

    public void setCustomerAddressHome(String customerAddressHome) {
        this.customerAddressHome = customerAddressHome;
    }

    public String getCustomerAddressBusiness() {
        return customerAddressBusiness;
    }

    public void setCustomerAddressBusiness(String customerAddressBusiness) {
        this.customerAddressBusiness = customerAddressBusiness;
    }

    public Integer getOrderInList() {
        return orderInList;
    }

    public void setOrderInList(Integer orderInList) {
        this.orderInList = orderInList;
    }

    @Override
    public String toString() {
        return "LoanByUserOrderPreferenceView{" + "customerName=" + customerName + ", orderInList=" + orderInList + '}';
    }

}
